import { Resources } from '../resource';
import { Groups } from 'module/types/meta';
import { IRequestCommonOptions } from 'module/libs/http';
export declare function upsertObject(group: Groups, id: string, payload?: any, options?: IRequestCommonOptions): Promise<any>;
export declare function moveObject(group: Groups | Resources, id: string, payload: {
    packageName: string;
}, options?: IRequestCommonOptions): Promise<any>;
export declare function renameObject({ group, name, packageName, payload }: {
    group: Groups | Resources;
    name: string;
    packageName: string;
    payload: {
        name: string;
        packageName: string;
    };
}, options?: IRequestCommonOptions): Promise<any>;
export declare function renameObjectTitle({ group, id, path, newTitle }: {
    group: Groups;
    id: string;
    newTitle?: string;
    path: string;
}, options?: IRequestCommonOptions): Promise<any>;
export declare function getObject(group: Groups, id: string, options?: IRequestCommonOptions): Promise<any>;
export declare function getObjects(group: Groups, options?: IRequestCommonOptions): Promise<any>;
export declare function removeObject(group: Groups, id: string, options?: IRequestCommonOptions): Promise<void>;
export declare function getDefaultJson(group: Groups, title?: string): any;
