import { IMetaGroup, IMetaPackage } from '../../../types/server-meta';
import { Groups } from 'module/types/meta';
import { Resources } from '../resource';
import { IRequestCommonOptions } from 'module/libs/http';
export declare function queryPackages(group: Groups | Resources, withData?: boolean, options?: IRequestCommonOptions): Promise<IMetaGroup>;
export declare function getPackage(group: Groups, id: string, withData?: boolean, options?: IRequestCommonOptions): Promise<IMetaPackage>;
export declare function upsertPackage(group: Groups | Resources, id: string, payload: {
    title: string;
}, options?: IRequestCommonOptions): Promise<any>;
export declare function movePackage(group: Groups, id: string, payload: {
    packageName: string;
}, options?: IRequestCommonOptions): Promise<any>;
export declare function renamePackage(group: Groups, p: IMetaPackage, payload: {
    name: string;
}, options?: IRequestCommonOptions): Promise<any>;
export declare function removePackage(group: Groups | Resources, id: string, options?: IRequestCommonOptions): Promise<void>;
