import { HttpRequest } from '@fly-vue/core';
import { AxiosRequestConfig } from 'axios';
export declare function getBaseUrl(): any;
export declare const request: HttpRequest;
export declare const X_APP_ID = "x-app-id";
export declare const appIdSymbol: unique symbol;
export declare function setAppId(id?: string): void;
export declare function getAppId(): string | undefined;
export interface IRequestCommonOptions {
    appId?: string;
    skipEvent?: boolean;
    request?: HttpRequest;
}
export declare function getHttpOptions(requestOptions?: IRequestCommonOptions): AxiosRequestConfig;
